"use strict";
exports.__esModule = true;
var http_1 = require("../errors/http");
var RouterBase = /** @class */ (function () {
    function RouterBase() {
        this.map = {};
    }
    RouterBase.prototype.use = function (path, controller) {
        if (this.map[path]) {
            throw http_1.PathAlreadyExistError;
        }
        this.map[path] = controller;
    };
    RouterBase.prototype["delete"] = function (awsPath) {
        delete this.map[awsPath];
    };
    RouterBase.prototype.expose = function () {
        throw http_1.NotImplementedControllerError;
    };
    return RouterBase;
}());
exports["default"] = RouterBase;
